AERC-SEARCH(1)

NAME

aerc-search - search and filter patterns and options for aerc(1)

SYNTAX

This syntax is common to all backends.

:filter [-ruba] [-x <flag>] [-X <flag>] [-H Header: Value] [-f <from>] [-t <to>] [-c <cc>] [-d <start[,end]>] [<terms>...]
:search [-ruba] [-x <flag>] [-X <flag>] [-H Header: Value] [-f <from>] [-t <to>] [-c <cc>] [-d <start[,end]>] [<terms>...]
    Searches the current folder for messages matching the given set of conditions.

    :filter restricts the displayed messages to only the search results.

    Each space separated term of <terms>, if provided, is searched case-insensitively among subject lines unless -b or -a are provided.

    -r: Search for read messages

    -u: Search for unread messages

    -x <flag>, -X <flag>: Restrict search to messages with or without <flag>
        Use -x to search for messages with the flag set. Use -X to search for messages without the flag set.

        Possible values are:
            Seen
                Read messages
            Answered
                Replied messages
            Flagged
                Flagged messages
            Draft
                Draft messages

    -H: Search in the headers of the messages, for a specific header
        Syntax: Header: Value If the space between : and the value is omitted, aerc will not search for the Header.

    -b: Search in the body of the messages

    -a: Search in the entire text of the messages

    -f <from>: Search for messages from <from>

    -t <to>: Search for messages to <to>

    -c <cc>: Search for messages cc'ed to <cc>

    -d <start[..end]>:
        Search for messages within a particular date range defined as [start, end).

        Spaces and underscores are allowed in relative dates to improve readability.

        YYYY-MM-DD

        today, yesterday

        (this|last) (year|month|week)

        Weekdays, Monthnames
            Can also be abbreviate, so Monday..Tuesday can written as Mon..Tue and February..March as Feb..Mar.

        <N> (y[ear]|m[onth]|w[eek]|d[ay])
            <N> is a positive integer that represents the number of the time units in the past. Multiple relative terms can will be accumulated. The units can also be abbreviated by a single letter such that yesterday would correspond to 1d (equivalent to 1 day or 1_day) and 8 days ago would be either 1w1d or 8d.

NOTMUCH

For notmuch, it is possible to avoid using the above flags and only rely on notmuch search syntax.

:filter query...
:search query...
    You can use the full notmuch query language as described in notmuch-search-terms(7).

    The query will only apply on top of the active folder query.

    Example, jump to next unread:

        :search tag:unread

SEE ALSO

aerc(1) aerc-config(5)

AUTHORS

Originally created by Drew DeVault and maintained by Robin Jarry who is assisted by other open source contributors. For more information about aerc development, see https://sr.ht/~rjarry/aerc/.